| Irrlicht 3D Engine |

Public Member Functions
irr::scene::SVertexColorDesaturateToLuminanceManipulator Class Reference

Vertex manipulator which desaturates the color values. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorDesaturateToLuminanceManipulator:

List of all members.

## Public Member Functions

- void operator() (video::S3DVertex &vertex) const

## Detailed Description

Vertex manipulator which desaturates the color values.

Uses the luminance value of the color.

Definition at line 180 of file SVertexManipulator.h.

## Member Function Documentation

void irr::scene::SVertexColorDesaturateToLuminanceManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const`[inline]`

Definition at line 183 of file SVertexManipulator.h.

References irr::video::S3DVertex::Color, and irr::core::round32().

The documentation for this class was generated from the following file:

- SVertexManipulator.h